{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Warehouse list'}}</div>
          
          <div class="panel-options">
              <a href="{{path('warehouse_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
              <a href="{{path('warehouse_restore')}}" data-rel="collapse"><i class="fas fa-undo-alt"></i></a>
          </div>
      </div>
        <div class="panel-body">
            <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>{{'Name'|trans}}</th>
                <th>{{'Code'|trans}}</th>
                <th>{{'Created at'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for warehouse in warehouses %} 
              <tr>
                <td>
                  {{warehouse.id}}
                </td>
                <td>
                  {{warehouse.name}}
                </td>
                <td>
                  {{warehouse.code}}
                </td>
                <td>
                  {{warehouse.getCreatedAt()|date('d.m.Y H:i')}}
                </td>
                <td>
                    <a href="{{path('warehouse_edit',{
                        id:warehouse.id
                    })}}">
                        <i class="fa fa-edit"></i>
                    </a>
                    <a href="{{path('warehouse_delete',{
                        id:warehouse.id
                    })}}">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(warehouses)}}
        </div>
    </div>
</div>
{% endblock %}

